Description

| was able to install the 3.9.1.rc4 rpms, and successfully run a smoke test - jobs submitted on frontend triggered glideins on my
factory, which then ran my jobs.

| have found the following issues so far:

e the frontend user seems not to be created by the rpms, leading to lots of errors during install of glideinwms-vofrontend-core like
Sso:

warning: user frontend does not exist - using root
warning: user frontend does not exist - using root
warning: user frontend does not exist - using root

after the install, the frontend fails to reconfig as frontend.xml and lots of other files are owned by root.
¢ glideinFrontendElement.py fails to write newly created idtokens to a file after creating them, see my proposed fix in this branch.
The fix is tested and works, | am unsure if it is the best solution, it has to do with string representation differences between

python2/3.

¢ once the above problem is fixed, glideFactoryEntry.py fails to write the decrypted tokens to their proper files on the factory side.
Again, a proposed fix is in this branch.

History

#1 - 01/25/2021 02:14 PM - Bruno Coimbra
- Assignee changed from Bruno Coimbra to Marco Mambelli

- Status changed from New to Feedback

Fix for the factory-core RPM is in v39/25416.

The change was very simple, just one line.

#2 - 02/16/2021 08:39 AM - Marco Mambelli

- Assignee changed from Marco Mambelli to Bruno Coimbra

Issue moved to v3.7.x ticket

#3 - 03/09/2021 08:20 PM - Marco Mambelli

- Status changed from Feedback to Resolved

#4 - 03/09/2021 08:20 PM - Marco Mambelli

- Status changed from Resolved to Closed
